[glib] tests: fix a few recently-broken tests
- From: Dan Winship <danw src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [glib] tests: fix a few recently-broken tests
- Date: Tue, 21 May 2013 14:23:29 +0000 (UTC)
commit 52f6a7d16250d2b180c83cce8929f3e14972e1a9
Author: Dan Winship <danw gnome org>
Date: Tue May 21 11:21:36 2013 -0300
tests: fix a few recently-broken tests
tests/gobject/Makefile.am | 1 +
tests/module-test.c | 3 ---
tests/run-assert-msg-test.sh | 4 ++--
3 files changed, 3 insertions(+), 5 deletions(-)
---
diff --git a/tests/gobject/Makefile.am b/tests/gobject/Makefile.am
index 9345a68..a05425d 100644
--- a/tests/gobject/Makefile.am
+++ b/tests/gobject/Makefile.am
@@ -70,6 +70,7 @@ performance_programs = \
performance_LDADD = $(libgobject) $(libgthread)
performance_threaded_LDADD = $(libgobject) $(libgthread)
check_PROGRAMS = $(test_programs)
+noinst_PROGRAMS = $(performance_programs)
TESTS = $(test_programs) $(performance_programs)
TESTS_ENVIRONMENT = srcdir=$(srcdir) \
diff --git a/tests/module-test.c b/tests/module-test.c
index 644fba9..3e648a6 100644
--- a/tests/module-test.c
+++ b/tests/module-test.c
@@ -79,7 +79,6 @@ main (int arg,
char *argv[])
{
GModule *module_self, *module_a, *module_b;
- gchar *dir;
gchar *plugin_a, *plugin_b;
SimpleFunc f_a, f_b, f_self;
GModuleFunc gmod_f;
@@ -95,8 +94,6 @@ main (int arg,
plugin_a = g_build_filename (datapath, "libmoduletestplugin_a", NULL);
plugin_b = g_build_filename (datapath, "libmoduletestplugin_b", NULL);
- g_free (dir);
-
/* module handles */
module_self = g_module_open (NULL, G_MODULE_BIND_LAZY);
diff --git a/tests/run-assert-msg-test.sh b/tests/run-assert-msg-test.sh
index 58305b0..d4a5111 100755
--- a/tests/run-assert-msg-test.sh
+++ b/tests/run-assert-msg-test.sh
@@ -29,7 +29,7 @@ fi
echo_v "Running assert-msg-test"
OUT=$(./assert-msg-test 2>&1) && fail "assert-msg-test should abort"
-echo "$OUT" | grep -q '^ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)' || \
+echo "$OUT" | grep -q '^GLib:ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)' || \
fail "does not print assertion message"
if ! type gdb >/dev/null 2>&1; then
@@ -41,7 +41,7 @@ echo_v "Running gdb on assert-msg-test"
OUT=$($LIBTOOL --mode=execute gdb --batch -x ${srcdir:-.}/assert-msg-test.gdb ./assert-msg-test 2>
$error_out) || fail "failed to run gdb"
echo_v "Checking if assert message is in __glib_assert_msg"
-if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)"'; then
+if ! echo "$OUT" | grep -q '^$1.*"GLib:ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)"';
then
fail "__glib_assert_msg does not have assertion message"
fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]